# DELETE /transaction/{{transaction_id}} — Delete Transaction

> Product: **Pabbly Subscription Billing** (v1)
> Base URL: `https://payments.pabbly.com/api/v1`
> Auth: Basic via `Authorization` header
> Canonical: `/subscription-billing/payment-transaction/delete-transaction`

This API can be used to delete the transaction. The API will be fired with DELETE request along with the transaction ID in the API link. In response you will get the successful message of delete Transaction.

**Path parameters:**

| Name | Type | Required | Description |
|------|------|----------|-------------|
| transaction_id | string | Yes |  |

**Response (200)** — Delete Transaction:

```json
{
    "status": "success",
    "message": "Transaction data deleted"
}
```

**Code examples:**

_cURL_

```curl
curl -X DELETE https://payments.pabbly.com/api/v1/transaction/{{transaction_id}} \
  -u {{YOUR_API_KEY}}:{{YOUR_SECRET_KEY}}
```

_Ruby_

```ruby
require 'net/http'
require 'json'

uri = URI('https://payments.pabbly.com/api/v1/transaction/{{transaction_id}}')
request = Net::HTTP::Delete.new(uri)
request.basic_auth '{{YOUR_API_KEY}}', '{{YOUR_SECRET_KEY}}'

response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: uri.scheme == 'https') do |http|
  http.request(request)
end

data = JSON.parse(response.body)
```

_Python_

```python
import requests
from requests.auth import HTTPBasicAuth

response = requests.delete(
    'https://payments.pabbly.com/api/v1/transaction/{{transaction_id}}',
    auth=HTTPBasicAuth('{{YOUR_API_KEY}}', '{{YOUR_SECRET_KEY}}'),
)

data = response.json()
```

_PHP_

```php
<?php
$ch = curl_init('https://payments.pabbly.com/api/v1/transaction/{{transaction_id}}');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'DELETE');
curl_setopt($ch, CURLOPT_USERPWD, '{{YOUR_API_KEY}}:{{YOUR_SECRET_KEY}}');

$response = curl_exec($ch);
curl_close($ch);
$data = json_decode($response, true);
```

_Java_

```java
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.Base64;

String credentials = Base64.getEncoder().encodeToString("{{YOUR_API_KEY}}:{{YOUR_SECRET_KEY}}".getBytes());

HttpClient client = HttpClient.newHttpClient();
HttpRequest.Builder builder = HttpRequest.newBuilder()
    .uri(URI.create("https://payments.pabbly.com/api/v1/transaction/{{transaction_id}}"))
    .header("Authorization", "Basic " + credentials)
    .DELETE();

HttpRequest request = builder.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
```

_Node.js_

```node
const credentials = Buffer.from('{{YOUR_API_KEY}}:{{YOUR_SECRET_KEY}}').toString('base64');

const response = await fetch('https://payments.pabbly.com/api/v1/transaction/{{transaction_id}}', {
  method: 'DELETE',
  headers: {
    'Authorization': `Basic ${credentials}`,
  },
});

const data = await response.json();
```

_Go_

```go
package main

import (
    "fmt"
    "io"
    "net/http"
)

func main() {
    req, _ := http.NewRequest("DELETE", "https://payments.pabbly.com/api/v1/transaction/{{transaction_id}}", nil)
    req.SetBasicAuth("{{YOUR_API_KEY}}", "{{YOUR_SECRET_KEY}}")

    res, _ := http.DefaultClient.Do(req)
    defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)
    fmt.Println(string(body))
}
```

_.NET_

```dotnet
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

var credentials = Convert.ToBase64String(Encoding.ASCII.GetBytes("{{YOUR_API_KEY}}:{{YOUR_SECRET_KEY}}"));

var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Delete, "https://payments.pabbly.com/api/v1/transaction/{{transaction_id}}");
request.Headers.TryAddWithoutValidation("Authorization", $"Basic {credentials}");

var response = await client.SendAsync(request);
var data = await response.Content.ReadAsStringAsync();
Console.WriteLine(data);
```

---

**Other endpoints in Payment/Transaction:**

- [GET /transactions/{{customer_id}} — List All Transactions By Customer Id](/subscription-billing/payment-transaction/list-all-transactions-by-customer-id)
- [GET /refund/{{customer_id}} — List All Refund By Customer Id](/subscription-billing/payment-transaction/list-all-refund-by-customer-id)
- [POST /transaction/refund/{{payment_id}} — Payment Refund](/subscription-billing/payment-transaction/payment-refund)
- [POST /transaction/refund/{{payment_id}} — Record Refund](/subscription-billing/payment-transaction/record-refund)

